Network Security Perimeter Configurations - List By Private Link Scope
プライベート リンク スコープのネットワーク セキュリティ境界構成を一覧表示します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridCompute/privateLinkScopes/{scopeName}/networkSecurityPerimeterConfigurations?api-version=2025-01-13
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前では大文字と小文字が区別されません。 |
|
scope
|
path | True |
string pattern: [a-zA-Z0-9-_\.]+ |
Azure Arc PrivateLinkScope リソースの名前。 |
|
subscription
|
path | True |
string minLength: 1 |
ターゲット サブスクリプションの ID。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
ネットワーク セキュリティ境界構成の詳細が正常に取得されました。 |
|
| Other Status Codes |
操作が失敗した理由を説明するエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
Gets the list of network security perimeter configurations of the private link scope.
要求のサンプル
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/my-resource-group/providers/Microsoft.HybridCompute/privateLinkScopes/my-privatelinkscope/networkSecurityPerimeterConfigurations?api-version=2025-01-13
応答のサンプル
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/my-resource-group/providers/Microsoft.HybridCompute/privateLinkScopes/my-privatelinkscope/networkSecurityPerimeterConfigurations/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee.myAssociation",
"name": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee.myAssociation",
"type": "Microsoft.HybridCompute/privateLinkScopes/networkSecurityPerimeterConfigurations",
"properties": {
"provisioningState": "Accepted",
"provisioningIssues": [],
"networkSecurityPerimeter": {
"id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/networkSecurityPerimeters/myPerimeter",
"perimeterGuid": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"location": "westus"
},
"resourceAssociation": {
"name": "myAssociation",
"accessMode": "enforced"
},
"profile": {
"name": "myProfile",
"accessRulesVersion": 1,
"accessRules": [
{
"name": "myAccessRule",
"properties": {
"direction": "Inbound",
"addressPrefixes": [
"148.0.0.0/8",
"152.4.6.0/24",
"..."
]
}
}
],
"diagnosticSettingsVersion": 1,
"enabledLogCategories": []
}
}
},
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/my-resource-group/providers/Microsoft.HybridCompute/privateLinkScopes/my-privatelinkscope/networkSecurityPerimeterConfigurations/37364608-77ea-4c2a-bdc3-4b0b1cdfab15.myAssociation2",
"name": "aaaaaaaa-0000-cccc-1111-eeeeeeeeeeee.myAssociation2",
"type": "Microsoft.HybridCompute/privateLinkScopes/networkSecurityPerimeterConfigurations",
"properties": {
"provisioningState": "Accepted",
"provisioningIssues": [],
"networkSecurityPerimeter": {
"id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/networkSecurityPerimeters/myOtherPerimeter",
"perimeterGuid": "aaaaaaaa-0000-cccc-1111-eeeeeeeeeeee",
"location": "westus"
},
"resourceAssociation": {
"name": "myAssociation",
"accessMode": "learning"
},
"profile": {
"name": "myProfile",
"accessRulesVersion": 1,
"accessRules": [
{
"name": "myAccessRule",
"properties": {
"direction": "Inbound",
"addressPrefixes": [
"122.0.0.0/8",
"144.4.6.0/24",
"..."
]
}
}
],
"diagnosticSettingsVersion": 1,
"enabledLogCategories": []
}
}
}
]
}
定義
| 名前 | 説明 |
|---|---|
|
Access |
リソースのログ記録の動作とその他のリソースやパブリック ネットワークとの接続に影響を与えるプロパティ。 |
|
Access |
アクセス規則。 |
|
Access |
アクセス規則の方向を示します。 |
|
Error |
リソース管理エラーの追加情報。 |
|
Error |
エラーの詳細。 |
|
Error |
エラー応答 |
|
Network |
ネットワーク セキュリティ境界リソースを定義するプロパティ。 |
|
Network |
ネットワーク セキュリティ境界リソースを定義するプロパティ。 |
|
Network |
ネットワーク セキュリティ境界構成の一覧。 |
|
Network |
ネットワーク セキュリティ境界プロファイル |
|
Provisioning |
プロビジョニング中に発生した問題の詳細。 |
|
Provisioning |
プロビジョニングの問題の重大度。 |
|
Provisioning |
プロビジョニングの問題の種類。 |
|
Resource |
リソースの関連付けを定義するプロパティ。 |
AccessMode
リソースのログ記録の動作とその他のリソースやパブリック ネットワークとの接続に影響を与えるプロパティ。
| 値 | 説明 |
|---|---|
| enforced |
リソース アクセスが NSP 定義によって制御されることを示します。 |
| audit |
トラフィックが NSP ルールに対して評価され、ログに記録されるが適用されないドライ ラン モード。 |
| learning |
トラフィックの評価をリソース固有のファイアウォール構成にフォールバックできるようにします。 |
AccessRule
アクセス規則。
| 名前 | 型 | 説明 |
|---|---|---|
| name |
string |
アクセス規則の名前。 |
| properties.addressPrefixes |
string[] |
アクセスが許可されているアドレス プレフィックス。 |
| properties.direction |
アクセス規則の方向。 |
AccessRuleDirection
アクセス規則の方向を示します。
| 値 | 説明 |
|---|---|
| Inbound |
トラフィックはネットワークの外部から発信されます。 |
| Outbound |
トラフィックはネットワーク内で発生します |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
ErrorDetail
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorResponse
エラー応答
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー オブジェクト。 |
NetworkSecurityPerimeter
ネットワーク セキュリティ境界リソースを定義するプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
Azure リソース ID |
| location |
string |
境界の地域の場所 |
| perimeterGuid |
string |
ネットワーク セキュリティ境界の GUID |
NetworkSecurityPerimeterConfiguration
ネットワーク セキュリティ境界リソースを定義するプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
Azure リソース ID |
| name |
string |
Azure リソース名 |
| properties.networkSecurityPerimeter |
この構成に関連付けられているネットワーク セキュリティ境界。 |
|
| properties.profile |
ネットワーク セキュリティ境界プロファイル |
|
| properties.provisioningIssues |
プロビジョニングの問題。 |
|
| properties.provisioningState |
string |
この NetworkSecurityPerimeter の現在の状態: 定義されているリソース グループ内でプロビジョニングされているかどうか。 ユーザーはこの値を変更できませんが、そこから読み取ることができます。 値には、プロビジョニング、成功、キャンセル、失敗が含まれます。 |
| properties.resourceAssociation |
リソースの関連付け。 |
|
| type |
string |
Azure リソースの種類 |
NetworkSecurityPerimeterConfigurationListResult
ネットワーク セキュリティ境界構成の一覧。
| 名前 | 型 | 説明 |
|---|---|---|
| nextLink |
string |
結果の次のページを取得するためのリンク。 |
| value |
結果の配列。 |
NetworkSecurityPerimeterProfile
ネットワーク セキュリティ境界プロファイル
| 名前 | 型 | 説明 |
|---|---|---|
| accessRules |
プロファイルのアクセス規則のコレクション |
|
| accessRulesVersion |
integer (int32) |
アクセス 規則のバージョン番号 |
| diagnosticSettingsVersion |
integer (int32) |
診断設定のバージョン番号 |
| enabledLogCategories |
string[] |
プロファイルの有効なログ カテゴリのコレクション |
| name |
string |
リソースの名前 |
ProvisioningIssue
プロビジョニング中に発生した問題の詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| name |
string |
プロビジョニングの問題の名前。 |
| properties.description |
string |
プロビジョニングの問題の説明。 |
| properties.issueType |
問題の種類 |
|
| properties.severity |
プロビジョニングの問題の重大度。 |
|
| properties.suggestedAccessRules |
境界に追加して問題を修復できるアクセス規則 |
|
| properties.suggestedResourceIds |
string[] |
問題を修復するために同じ境界に関連付けることができるリソースの ARM ID |
ProvisioningIssueSeverity
プロビジョニングの問題の重大度。
| 値 | 説明 |
|---|---|
| Warning |
プロビジョニングが成功すると、接続の問題が発生する可能性があります。 |
| Error |
エラーが発生すると、関連付けのプロビジョニングが失敗します。 |
ProvisioningIssueType
プロビジョニングの問題の種類。
| 値 | 説明 |
|---|---|
| MissingPerimeterConfiguration |
境界構成がありません。 |
| MissingIdentityConfiguration |
ID 構成がありません。 |
| ConfigurationPropagationFailure |
構成の伝達に失敗しました。 |
| Other |
その他のエラー。 |
ResourceAssociation
リソースの関連付けを定義するプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| accessMode |
アクセス モード |
|
| name |
string |
リソースの関連付けの名前 |